"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const group_bootstrap_component_1 = require("../../../components/group/group_bootstrap_component");
const group_build_component_1 = require("../../../components/group/group_build_component");
const group_clear_component_1 = require("../../../components/group/group_clear_component");
const group_link_component_1 = require("../../../components/group/group_link_component");
const group_lint_component_1 = require("../../../components/group/group_lint_component");
const group_lint_fix_component_1 = require("../../../components/group/group_lint_fix_component");
const group_make_prettier_component_1 = require("../../../components/group/group_make_prettier_component");
const group_publish_component_1 = require("../../../components/group/group_publish_component");
const group_refresh_component_1 = require("../../../components/group/group_refresh_component");
const group_test_component_1 = require("../../../components/group/group_test_component");
const group_typecheck_component_1 = require("../../../components/group/group_typecheck_component");
const group_validate_component_1 = require("../../../components/group/group_validate_component");
const group_validate_prettiness_component_1 = require("../../../components/group/group_validate_prettiness_component");
const Command_1 = require("../../common/Command");
const group_start_component_1 = require("../../../components/group/group_start_component");
const group_install_component_1 = require("../../../components/group/group_install_component");
const group_un_link_component_1 = require("../../../components/group/group_un_link_component");
const group_sync_component_1 = require("../../../components/group/group_sync_component");
const group_bootstrap = new Command_1.Command("bootstrap", async (flags = { force: false, only_dev: false, debug: false }) => {
    await group_bootstrap_component_1.group_bootstrap_component({
        only_dev: flags.only_dev,
        debug: flags.debug,
    });
});
group_bootstrap.addFlag("--only_dev");
group_bootstrap.addFlag("--debug");
const group_build = new Command_1.Command("build", async (flags = { only_dev: false, debug: false }) => {
    await group_build_component_1.group_build_component({ only_dev: flags.only_dev, debug: flags.debug });
});
group_build.addFlag("--only_dev");
group_build.addFlag("--debug");
const group_clear = new Command_1.Command("clear", group_clear_component_1.group_clear_component);
const group_install = new Command_1.Command("install", group_install_component_1.group_install_component);
const group_link = new Command_1.Command("link", group_link_component_1.group_link_component);
const group_unlink = new Command_1.Command("unlink", group_un_link_component_1.group_un_link_component);
const group_start = new Command_1.Command("start", async (flags = { release: false, debug: false, ts_node_dev: false }) => {
    await group_start_component_1.group_start_component({
        release: flags.release,
        debug: flags.debug,
        ts_node_dev: flags.ts_node_dev,
    });
});
group_start.addFlag("--release");
group_start.addFlag("--debug");
group_start.addFlag("--ts_node_dev");
const group_lint_fix = new Command_1.Command("lint-fix", group_lint_fix_component_1.group_lint_fix_component);
const group_lint = new Command_1.Command("lint", group_lint_component_1.group_lint_component);
const group_make_prettier = new Command_1.Command("make-prettier", group_make_prettier_component_1.group_make_prettier_component);
const group_publish = new Command_1.Command("publish", async (flags = { patch: false, minor: false, major: false }) => {
    await group_publish_component_1.group_publish_component({
        patch: flags.patch,
        minor: flags.minor,
        major: flags.major,
    });
});
group_publish.addFlag("--patch");
group_publish.addFlag("--minor");
group_publish.addFlag("--major");
const group_refresh = new Command_1.Command("refresh", async (flags = { force: false }) => {
    await group_refresh_component_1.group_refresh_component({ force: flags.force });
});
const sync_refresh = new Command_1.Command("sync", async () => {
    await group_sync_component_1.group_sync_component();
});
group_refresh.addFlag("--force");
const group_test = new Command_1.Command("test", async (flags = { debug: false }) => {
    await group_test_component_1.group_test_component({ debug: flags.debug });
});
group_test.addFlag("--debug");
const group_typecheck = new Command_1.Command("typecheck", group_typecheck_component_1.group_typecheck_component);
const group_validate_prettiness = new Command_1.Command("validate-prettiness", group_validate_prettiness_component_1.group_validate_prettiness_component);
const group_validate = new Command_1.Command("validate", group_validate_component_1.group_validate_component);
exports.group = new Command_1.Command("group");
exports.group.addCommand(group_bootstrap);
exports.group.addCommand(group_clear);
exports.group.addCommand(group_install);
exports.group.addCommand(group_link);
exports.group.addCommand(group_unlink);
exports.group.addCommand(group_start);
exports.group.addCommand(group_lint);
exports.group.addCommand(group_lint_fix);
exports.group.addCommand(group_typecheck);
exports.group.addCommand(group_validate_prettiness);
exports.group.addCommand(group_validate);
exports.group.addCommand(group_make_prettier);
exports.group.addCommand(group_build);
exports.group.addCommand(group_test);
exports.group.addCommand(group_publish);
exports.group.addCommand(group_refresh);
exports.group.addCommand(sync_refresh);
//# sourceMappingURL=index.js.map