"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const init_1 = require("../../../components/init");
const Command_1 = require("../../common/Command");
async function dll_executor(flags = {}) {
    await init_1.init_component({
        dll: true,
        browser: false,
        node: false,
        app: false,
        lib: false,
        mono: false,
        force: flags.force,
    });
}
async function lib_executor(flags = {}) {
    await init_1.init_component({
        dll: false,
        browser: true,
        node: false,
        app: false,
        lib: true,
        mono: false,
        force: flags.force,
    });
}
async function app_executor(flags = {}) {
    await init_1.init_component({
        dll: false,
        browser: true,
        node: false,
        app: true,
        lib: false,
        mono: false,
        force: flags.force,
    });
}
const dll = new Command_1.Command("dll", dll_executor);
const lib = new Command_1.Command("lib", lib_executor);
const app = new Command_1.Command("app", app_executor);
exports.init_browser = new Command_1.Command("browser");
exports.init_browser.addCommand(dll);
exports.init_browser.addCommand(lib);
exports.init_browser.addCommand(app);
exports.init_browser.addFlag("--force");
//# sourceMappingURL=init_browser.js.map