"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const init_1 = require("../../../components/init");
const Command_1 = require("../../common/Command");
async function app_executor(flags = {}) {
    await init_1.init_component({
        dll: false,
        browser: false,
        node: true,
        app: true,
        lib: false,
        mono: false,
        force: flags.force,
    });
}
async function lib_executor(flags = {}) {
    await init_1.init_component({
        dll: false,
        browser: false,
        node: true,
        app: false,
        lib: true,
        mono: false,
        force: flags.force,
    });
}
const app = new Command_1.Command("app", app_executor);
const lib = new Command_1.Command("lib", lib_executor);
exports.init_node = new Command_1.Command("node");
exports.init_node.addCommand(lib);
exports.init_node.addCommand(app);
exports.init_node.addFlag("--force");
//# sourceMappingURL=init_node.js.map