"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const execa_1 = __importDefault(require("execa"));
const path_1 = __importDefault(require("path"));
const RearguardConfig_1 = require("../../../configs/RearguardConfig");
const dependencyPaths_1 = require("../../../helpers/dependencyPaths");
const const_1 = require("../../../const");
exports.buildLib = async (CWD, emitDeclarationOnly = false) => {
    console.log(chalk_1.default.bold.blue(`[ TSC ][ ASSEMBLY ]`));
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const execaOptions = {
        stdout: "inherit",
        stderr: "inherit",
    };
    try {
        await execa_1.default(dependencyPaths_1.getTypescriptBin(CWD), [
            "--project",
            path_1.default.resolve(CWD, const_1.TS_CONFIG_FILE_NAME),
            "--rootDir",
            path_1.default.resolve(CWD, rearguardConfig.getContext()),
            "--outDir",
            path_1.default.resolve(CWD, const_1.LIB_DIR_NAME),
            "--module",
            "commonjs",
            ...(emitDeclarationOnly ? ["--emitDeclarationOnly"] : []),
            "--declaration",
        ], execaOptions);
    }
    catch (error) {
        console.error(error);
    }
    console.log("");
};
//# sourceMappingURL=buildLib.js.map