"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const webpack_1 = __importDefault(require("webpack"));
const webpack_config_lib_1 = require("../../../webpack/webpack.config.lib");
const getWebpackStats_1 = require("../../../webpack/components/getWebpackStats");
exports.buildLibBundles = async (CWD, options) => {
    if (!options.only_dev) {
        console.log(chalk_1.default.bold.blue(`[ LIB ][ BUNDLE ][ ASSEMBLY FOR PRODUCTION ]`));
        console.log("");
        process.env.NODE_ENV = "production";
        const prodLibWebpackConfig = await webpack_config_lib_1.getLibWebpackConfig(CWD, false, options.debug, options.need_update_build_time);
        await new Promise((resolve, reject) => {
            webpack_1.default(prodLibWebpackConfig).run((err, stats) => {
                if (err) {
                    reject(err);
                }
                else {
                    console.info(stats.toString(getWebpackStats_1.getWebpackStats(CWD)));
                    resolve();
                }
            });
        });
    }
    console.log("");
    console.log(chalk_1.default.bold.blue(`[ LIB ][ BUNDLE ][ ASSEMBLY FOR DEVELOPMENT ]`));
    console.log("");
    process.env.NODE_ENV = "development";
    const devLibWebpackConfig = await webpack_config_lib_1.getLibWebpackConfig(CWD, true, options.debug, options.need_update_build_time);
    await new Promise((resolve, reject) => {
        webpack_1.default(devLibWebpackConfig).run((err, stats) => {
            if (err) {
                reject(err);
            }
            else {
                console.info(stats.toString(getWebpackStats_1.getWebpackStats(CWD)));
                resolve();
            }
        });
    });
    console.log("");
};
//# sourceMappingURL=buildLibBundles.js.map