"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const execa_1 = __importDefault(require("execa"));
const ora_1 = __importDefault(require("ora"));
const getOutdatedDependency_1 = require("../getOutdatedDependency");
exports.buildOutdatedDependency = async (CWD) => {
    const outdatedDependency = await getOutdatedDependency_1.getOutdatedDependency(CWD);
    if (outdatedDependency.size > 0) {
        console.log(chalk_1.default.bold.blue(`[ BUILD OUTDATED DEPENDENCIES ]`));
        console.log("");
        for (const dependency of outdatedDependency) {
            const dirNames = dependency.split("/");
            console.log(chalk_1.default.blue(`${dirNames[dirNames.length - 1]}: ${dependency}`));
        }
        console.log("");
        for (const dependency of outdatedDependency) {
            const dirNames = dependency.split("/");
            const spinner = ora_1.default(`build: ${dirNames[dirNames.length - 1]}`).start();
            try {
                await execa_1.default("npm", ["run", "build", "--", "--need_update_build_time", "--bypass_the_queue"], { cwd: dependency });
                if (spinner) {
                    spinner.succeed();
                }
            }
            catch (error) {
                if (spinner) {
                    spinner.fail();
                }
                console.error(error);
            }
        }
    }
};
//# sourceMappingURL=buildOutdatedDependency.js.map