"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const createEntryPoints_1 = require("./createEntryPoints");
const setConfigs_1 = require("./setConfigs");
const setScripts_1 = require("./setScripts");
const staticTemplates_1 = require("./staticTemplates");
const checkDependencies_1 = require("./checkDependencies");
exports.commonPreset = async (flags, CWD = process.cwd()) => {
    await setScripts_1.setScripts(CWD);
    await createEntryPoints_1.createEntryPoints(CWD);
    await setConfigs_1.setConfigs(flags, CWD);
    await staticTemplates_1.staticTemplates(flags, CWD);
    await checkDependencies_1.checkDependencies(CWD, flags.force);
};
//# sourceMappingURL=commonPreset.js.map