"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const recursive_copy_1 = __importDefault(require("recursive-copy"));
exports.copyNonCodeFiles = async (from = "src", to = "dist/src") => {
    const options = {
        overwrite: true,
        dot: true,
        filter: function (arg) {
            return (arg.indexOf(".ts") === -1 &&
                arg.indexOf("d.ts") === -1 &&
                arg.indexOf(".tsx") === -1 &&
                arg.indexOf(".jsx") === -1 &&
                arg.indexOf(".js") === -1);
        },
    };
    await recursive_copy_1.default(from, to, options)
        .on(recursive_copy_1.default.events.COPY_FILE_START, (copyOperation) => {
        console.info("Copying file " + copyOperation.src + "...");
    })
        .on(recursive_copy_1.default.events.COPY_FILE_COMPLETE, function (copyOperation) {
        console.info("Copied to " + copyOperation.dest);
    })
        .on(recursive_copy_1.default.events.ERROR, function (error, copyOperation) {
        console.error("Unable to copy " + copyOperation.dest);
    })
        .then((results) => {
        console.info(results.length + " file(s) copied");
    })
        .catch((error) => {
        return console.error("Copy failed: " + error);
    });
    console.log("");
};
//# sourceMappingURL=copyNonCodeFiles.js.map