"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const copy_1 = __importDefault(require("copy"));
const path_1 = __importDefault(require("path"));
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const const_1 = require("../../const");
const dependencyPaths_1 = require("../../helpers/dependencyPaths");
exports.copyUnpublishedDepsToDistNodeModules = async (CWD) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const localNodeModulePath = dependencyPaths_1.getLocalNodeModulePath(CWD);
    const distDirPath = path_1.default.resolve(CWD, const_1.DISTRIBUTIVE_DIR_NAME);
    const unPublishedDependencies = rearguardConfig.getUnPublishedDependency();
    await Promise.all(unPublishedDependencies.map(async (unPublishedDependency) => {
        return new Promise((resolve, reject) => {
            copy_1.default(`${path_1.default.resolve(localNodeModulePath, unPublishedDependency)}/**`, path_1.default.resolve(`${distDirPath}/node_modules/${unPublishedDependency}`), (error, files) => {
                if (!error) {
                    if (files) {
                        console.log(chalk_1.default.cyan(`[ COPY ][ NODE_MODULE ][ FILES ${files.length} ][ TO_DIST_NODE_MODULEs ]`));
                    }
                    resolve();
                }
                else {
                    reject(error);
                }
            });
        });
    }));
    console.log("");
};
//# sourceMappingURL=copyUnpublishedDepsToDistNodeModules.js.map