"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const mkdir_1 = require("../../helpers/mkdir");
const const_1 = require("../../const");
exports.createEntryPoints = async (CWD) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const context = rearguardConfig.getContext();
    const entry = rearguardConfig.getEntry();
    const libEntry = rearguardConfig.getLibEntry();
    const dllEntry = rearguardConfig.getDllEntry();
    const isBrowser = rearguardConfig.isBrowser();
    const isIsomorphic = rearguardConfig.isIsomorphic();
    const isNode = rearguardConfig.isNode();
    const isLib = rearguardConfig.isLib();
    const isApp = rearguardConfig.isApp();
    const isDll = rearguardConfig.isDll();
    const contextPath = path_1.default.resolve(CWD, context);
    const entryPath = path_1.default.resolve(contextPath, entry);
    const libEntryPath = path_1.default.resolve(contextPath, libEntry);
    const dllEntryPath = path_1.default.resolve(contextPath, dllEntry);
    mkdir_1.mkdir(contextPath);
    if (fs_1.default.existsSync(contextPath)) {
        if (!isDll && (isBrowser || isIsomorphic) && !fs_1.default.existsSync(entryPath)) {
            fs_1.default.writeFileSync(entryPath, `console.log("Entry point for launch in browser");\r`);
        }
        if (!isDll && isLib && !fs_1.default.existsSync(libEntryPath)) {
            fs_1.default.writeFileSync(libEntryPath, `// Entry point for export library API\r`);
        }
        if ((isDll || isBrowser || isIsomorphic) && !fs_1.default.existsSync(dllEntryPath)) {
            fs_1.default.writeFileSync(dllEntryPath, `// Entry point for collect vendors deps into dll library\r`);
        }
    }
    if (isNode && isApp) {
        const binDirPath = path_1.default.resolve(CWD, const_1.BIN_DIR_NAME);
        const binFilePath = path_1.default.resolve(binDirPath, const_1.BIN_FILE_NAME);
        mkdir_1.mkdir(binDirPath);
        if (!fs_1.default.existsSync(binFilePath)) {
            fs_1.default.writeFileSync(binFilePath, `console.log("Entry point for back end implementation.");\r`);
        }
    }
};
//# sourceMappingURL=createEntryPoints.js.map