"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const execa_1 = __importDefault(require("execa"));
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const applyHackForForceReCompile_1 = require("../../helpers/applyHackForForceReCompile");
const dependencyPaths_1 = require("../../helpers/dependencyPaths");
const pubSub_1 = require("../../helpers/pubSub");
exports.runNodeServer = async (CWD) => {
    console.log(chalk_1.default.bold.blue(`[ RUN NODE-SERVER ]`));
    console.log("");
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const bin = rearguardConfig.getBin();
    const execaOptions = {
        cwd: CWD,
        stdout: "inherit",
        stderr: "inherit",
    };
    try {
        pubSub_1.pubSub.on(pubSub_1.events.SYNCED, async () => {
            await applyHackForForceReCompile_1.applyHackForForceReCompile(bin);
        });
        await execa_1.default(dependencyPaths_1.getTypescriptNodeDevBin(CWD), [
            "--debounce",
            "1000",
            "--ignore-watch",
            "node_modules",
            "--prefer-ts",
            "--type-check",
            "--respawn",
            bin,
        ], execaOptions);
    }
    catch (error) {
        console.error(chalk_1.default.bold.magenta(error.message));
        console.log(error);
    }
};
//# sourceMappingURL=runNodeServer.js.map