"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const execa_1 = __importDefault(require("execa"));
const path_1 = __importDefault(require("path"));
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const applyHackForForceReCompile_1 = require("../../helpers/applyHackForForceReCompile");
const dependencyPaths_1 = require("../../helpers/dependencyPaths");
const pubSub_1 = require("../../helpers/pubSub");
exports.runTsNodeDev = async (CWD) => {
    console.log(chalk_1.default.bold.blue(`[ RUN TS-NODE-DEV ]`));
    console.log("");
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const context = rearguardConfig.getContext();
    const libEntry = rearguardConfig.getLibEntry();
    const entryPath = path_1.default.normalize(`${context}/${libEntry}`);
    const execaOptions = {
        cwd: CWD,
        stdout: "inherit",
        stderr: "inherit",
    };
    try {
        pubSub_1.pubSub.on(pubSub_1.events.SYNCED, async () => {
            await applyHackForForceReCompile_1.applyHackForForceReCompile(entryPath);
        });
        await execa_1.default(dependencyPaths_1.getTypescriptNodeDevBin(CWD), [
            "--debounce",
            "1000",
            "--ignore-watch",
            "node_modules",
            "--prefer-ts",
            "--type-check",
            "--respawn",
            entryPath,
        ], execaOptions);
    }
    catch (error) {
        console.error(chalk_1.default.bold.magenta(error.message));
        console.log(error);
    }
};
//# sourceMappingURL=runTsNodeDev.js.map