"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RearguardConfig_1 = require("../../configs/RearguardConfig");
exports.setScripts = async (CWD) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const isBrowser = rearguardConfig.isBrowser();
    const isDll = rearguardConfig.isDll();
    const isIsomorphic = rearguardConfig.isIsomorphic();
    const startScripts = {};
    if (!(isBrowser && isDll)) {
        startScripts.start = "rearguard start";
    }
    if (isIsomorphic) {
        startScripts["start:ts_node_dev"] = "rearguard start --ts_node_dev";
    }
    await rearguardConfig.setScripts({
        ...startScripts,
        watch: "rearguard watch",
        build: "rearguard build",
        test: "rearguard test",
        lint: `rearguard lint`,
        "lint-fix": `rearguard lint --fix`,
        typecheck: "tsc --noEmit",
        "validate-prettiness": "prettier -c '**/*.{ts,tsx,json,md}'",
        validate: "npm run lint && npm run typecheck && npm run validate-prettiness",
        "make-prettier": "prettier --write '**/*.{ts,tsx,json,md}'",
        sync: "rearguard sync",
        refresh: "rearguard refresh",
    });
};
//# sourceMappingURL=setScripts.js.map