"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const const_1 = require("../../const");
const hasVendorImports_1 = require("./hasVendorImports");
exports.updatePkgFiles = async (CWD) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const libEntry = rearguardConfig.getLibEntry();
    const isNode = rearguardConfig.isNode();
    const isLib = rearguardConfig.isLib();
    const hasDLL = await hasVendorImports_1.hasVendorImports(CWD);
    if (isNode && isLib) {
        await rearguardConfig.setFiles([const_1.LIB_DIR_NAME]);
    }
    else {
        await rearguardConfig.setFiles([
            ...(hasDLL ? [const_1.DLL_BUNDLE_DIR_NAME] : []),
            const_1.LIB_BUNDLE_DIR_NAME,
            const_1.LIB_DIR_NAME,
        ]);
    }
    await rearguardConfig.setMain(`./${const_1.LIB_DIR_NAME}/${libEntry.replace(path_1.default.extname(libEntry), ".js")}`);
    await rearguardConfig.setTypes(`./${const_1.LIB_DIR_NAME}/${libEntry.replace(path_1.default.extname(libEntry), ".d.ts")}`);
};
//# sourceMappingURL=updatePkgFiles.js.map