"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const init_browser_app_1 = require("../init/init_browser_app");
const init_browser_dll_1 = require("../init/init_browser_dll");
const init_browser_lib_1 = require("../init/init_browser_lib");
const init_isomorphic_1 = require("../init/init_isomorphic");
const init_mono_1 = require("../init/init_mono");
const init_node_app_1 = require("../init/init_node_app");
const init_node_lib_1 = require("../init/init_node_lib");
const updateVSCodeSettingsForMonoRepo_1 = require("../procedures/updateVSCodeSettingsForMonoRepo");
async function refresh_executor(options) {
    const CWD = process.cwd();
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const isBrowser = rearguardConfig.isBrowser();
    const isIsomorphic = rearguardConfig.isIsomorphic();
    const isNode = rearguardConfig.isNode();
    const isApp = rearguardConfig.isApp();
    const isDll = rearguardConfig.isDll();
    const isLib = rearguardConfig.isLib();
    const isMono = rearguardConfig.isMono();
    await updateVSCodeSettingsForMonoRepo_1.updateVSCodeSettingsForMonoRepo(CWD);
    if (isDll) {
        await init_browser_dll_1.init_browser_dll(options);
    }
    if (isBrowser) {
        if (isApp) {
            await init_browser_app_1.init_browser_app(options);
        }
        if (isLib) {
            await init_browser_lib_1.init_browser_lib(options);
        }
    }
    if (isNode) {
        if (isApp) {
            await init_node_app_1.init_node_app(options);
        }
        if (isLib) {
            await init_node_lib_1.init_node_lib(options);
        }
    }
    if (isIsomorphic) {
        await init_isomorphic_1.init_isomorphic(options);
    }
    if (isMono) {
        await init_mono_1.init_mono(options);
    }
}
exports.refresh_executor = refresh_executor;
//# sourceMappingURL=index.js.map