"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const processQueue_1 = require("../../helpers/processQueue");
const buildOutdatedDependency_1 = require("../procedures/build/buildOutdatedDependency");
const buildUnfinishedDependencies_1 = require("../procedures/build/buildUnfinishedDependencies");
const checkNotInstalledDependencies_1 = require("../procedures/checkNotInstalledDependencies");
const copyBundlesToProject_1 = require("../procedures/copyBundlesToProject");
const copyGlobalLinkedModules_1 = require("../procedures/copyGlobalLinkedModules");
const createListOfLoadOnDemand_1 = require("../procedures/createListOfLoadOnDemand");
const deleteExternalBundles_1 = require("../procedures/deleteExternalBundles");
const watchLinkedModules_1 = require("../procedures/watchLinkedModules");
async function watch_isomorphic(options) {
    console.log(chalk_1.default.bold.blue(`[ ISOMORPHIC ][ WATCH ]`));
    console.log("");
    const CWD = process.cwd();
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const name = rearguardConfig.getName();
    await processQueue_1.processQueue.getInQueue(name);
    await checkNotInstalledDependencies_1.checkNotInstalledDependencies(CWD);
    await buildUnfinishedDependencies_1.buildUnfinishedDependencies(CWD);
    await buildOutdatedDependency_1.buildOutdatedDependency(CWD);
    await deleteExternalBundles_1.deleteExternalBundles(CWD);
    await copyGlobalLinkedModules_1.copyGlobalLinkedModules(CWD);
    await copyBundlesToProject_1.copyBundlesToProject(CWD);
    await createListOfLoadOnDemand_1.createListOfLoadOnDemand(CWD, true);
    await watchLinkedModules_1.watchLinkedModules(CWD);
    await processQueue_1.processQueue.getOutQueue(name);
}
exports.watch_isomorphic = watch_isomorphic;
//# sourceMappingURL=watch_isomorphic.js.map