"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const util_1 = require("util");
const exists = util_1.promisify(fs_1.default.exists);
const readFile = util_1.promisify(fs_1.default.readFile);
const writeFile = util_1.promisify(fs_1.default.writeFile);
exports.applyHackForForceReCompile = async (entryPath) => {
    if (await exists(entryPath)) {
        let content = await readFile(entryPath, { encoding: "utf-8" });
        const title = "// HACK for forcing invalidation of the ts-node-dev compiler, timestamp:";
        const start = content.indexOf(title);
        if (start !== -1) {
            content = content.substring(0, start);
        }
        else {
            content += `\r`;
        }
        content += `${title} ${Date.now()}`;
        await writeFile(entryPath, content);
    }
};
//# sourceMappingURL=applyHackForForceReCompile.js.map