"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const mkdir_1 = require("../helpers/mkdir");
class Template {
    constructor(sourceFileName, destinationFileName, sourceDir = __dirname, CWD = process.cwd()) {
        this.CWD = CWD;
        this.sourceDir = sourceDir;
        this.sourceFileName = sourceFileName;
        this.destinationFileName = destinationFileName;
    }
    get sourceFilePath() {
        return path_1.default.resolve(this.sourceDir, this.sourceFileName);
    }
    get destinationFilePath() {
        return path_1.default.resolve(this.CWD, this.destinationFileName);
    }
    get sourceContent() {
        return fs_1.default.readFileSync(this.sourceFilePath, { encoding: "utf-8" });
    }
    get isExistCWD() {
        return fs_1.default.existsSync(this.CWD);
    }
    get isExistDestFile() {
        return fs_1.default.existsSync(this.destinationFilePath);
    }
    async render(options = { force: false }, CWD = process.cwd()) {
        this.CWD = CWD;
        await this.createTargetDir();
        if (this.isExistDestFile) {
            if (options.force) {
                fs_1.default.writeFileSync(this.destinationFilePath, this.prepareContent(), { encoding: "utf-8" });
            }
        }
        else {
            fs_1.default.writeFileSync(this.destinationFilePath, this.prepareContent(), { encoding: "utf-8" });
        }
    }
    async createTargetDir() {
        mkdir_1.mkdir(path_1.default.dirname(this.destinationFilePath));
    }
    prepareContent() {
        return this.sourceContent;
    }
}
exports.Template = Template;
//# sourceMappingURL=Template.js.map