"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ejs_1 = __importDefault(require("ejs"));
const fs_1 = __importDefault(require("fs"));
const Template_1 = require("../Template");
class GitignoreTemplate extends Template_1.Template {
    async render(templateData) {
        await this.createTargetDir();
        if (this.isExistCWD) {
            const renderedContent = ejs_1.default.render(this.sourceContent, templateData);
            if (this.isExistDestFile) {
                if (templateData.force) {
                    fs_1.default.writeFileSync(this.destinationFilePath, renderedContent, { encoding: "utf-8" });
                }
            }
            else {
                fs_1.default.writeFileSync(this.destinationFilePath, renderedContent, { encoding: "utf-8" });
            }
        }
    }
}
exports.GitignoreTemplate = GitignoreTemplate;
//# sourceMappingURL=GitignoreTemplate.js.map