"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RearguardConfig_1 = require("../../configs/RearguardConfig");
exports.getChunkOptimization = (CWD) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const isBrowser = rearguardConfig.isBrowser();
    const isApp = rearguardConfig.isApp();
    if (isBrowser && isApp) {
        return {
            splitChunks: {
                chunks: "all",
                name: false,
                automaticNameDelimiter: "-",
            },
            runtimeChunk: {
                name: (entrypoint) => `runtime-${entrypoint.name}.chunk`,
            },
        };
    }
    return {};
};
//# sourceMappingURL=getChunkOptimization.js.map