"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const resolve_1 = __importDefault(require("resolve"));
const pnp_webpack_plugin_1 = __importDefault(require("pnp-webpack-plugin"));
const RearguardConfig_1 = require("../../configs/RearguardConfig");
const const_1 = require("../../const");
const dependencyPaths_1 = require("../../helpers/dependencyPaths");
exports.getTypescriptLoader = (CWD) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const contextPath = path_1.default.resolve(CWD, rearguardConfig.getContext());
    const configFilePath = path_1.default.resolve(CWD, const_1.TS_CONFIG_FILE_NAME);
    const include = [contextPath];
    const test = /\.(ts|tsx|js|jsx)?$/;
    return [
        {
            enforce: "pre",
            test,
            exclude: /node_modules/,
            include,
            loader: "eslint-loader",
            options: {
                eslintPath: resolve_1.default.sync("eslint", {
                    basedir: dependencyPaths_1.getLocalNodeModulePath(CWD),
                }),
                cache: true,
                formatter: "stylish",
                failOnError: true,
                failOnWarning: false,
                cwd: CWD,
            },
        },
        {
            test,
            include,
            use: [
                {
                    loader: "ts-loader",
                    options: pnp_webpack_plugin_1.default.tsLoaderOptions({
                        configFile: configFilePath,
                        context: CWD,
                        experimentalFileCaching: false,
                    }),
                },
            ],
        },
    ];
};
//# sourceMappingURL=getTypescriptLoader.js.map