"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assets_webpack_plugin_1 = __importDefault(require("assets-webpack-plugin"));
const const_1 = require("../../../const");
const RearguardConfig_1 = require("../../../configs/RearguardConfig");
const bundleNaming_1 = require("../../../helpers/bundleNaming");
exports.getAssetsWebpackPlugin = (CWD, isDevelopment, forLib) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig();
    const snakeName = rearguardConfig.getSnakeName();
    let path = bundleNaming_1.getDLLBundleOutputPath(CWD, snakeName, isDevelopment);
    if (forLib) {
        path = bundleNaming_1.getLIBBundleOutputPath(CWD, snakeName, isDevelopment);
    }
    return new assets_webpack_plugin_1.default({
        path,
        filename: const_1.ASSETS_MANIFEST_NAME,
        processOutput(data) {
            const result = {};
            for (const key in data) {
                if (key.indexOf(snakeName) !== -1) {
                    result[key] = data[key];
                }
            }
            return JSON.stringify(result, null, 2);
        },
    });
};
//# sourceMappingURL=getAsstetsPlugin.js.map