"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mini_css_extract_plugin_1 = __importDefault(require("mini-css-extract-plugin"));
const RearguardConfig_1 = require("../../../configs/RearguardConfig");
exports.getMiniCssExtractPlugin = (CWD, isDevelopment) => {
    const rearguardConfig = new RearguardConfig_1.RearguardConfig(CWD);
    const [, useOnlyIsomorphicStyleLoader] = rearguardConfig.getCSS();
    if (!isDevelopment && !useOnlyIsomorphicStyleLoader) {
        return [
            new mini_css_extract_plugin_1.default({
                filename: "[name].[hash:8].css",
                chunkFilename: "[name].[hash:8].chunk.css",
            }),
        ];
    }
    return [];
};
//# sourceMappingURL=getMiniCssExtractPlugin.js.map