"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const optimize_css_assets_webpack_plugin_1 = __importDefault(require("optimize-css-assets-webpack-plugin"));
const postcss_safe_parser_1 = __importDefault(require("postcss-safe-parser"));
exports.getOptimizeCSSAssetsPlugin = (isDevelopment, isDebug) => {
    if (!isDevelopment) {
        return [
            new optimize_css_assets_webpack_plugin_1.default({
                cssProcessorOptions: {
                    parser: postcss_safe_parser_1.default,
                    map: isDebug
                        ? {
                            inline: false,
                            annotation: true,
                        }
                        : false,
                },
                cssProcessorPluginOptions: {
                    preset: ["default", { minifyFontValues: { removeQuotes: false } }],
                },
            }),
        ];
    }
    return [];
};
//# sourceMappingURL=getOptimizeCSSAssetsPlugin.js.map