"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const terser_webpack_plugin_1 = __importDefault(require("terser-webpack-plugin"));
exports.getTerserWebpackPlugin = (isDevelopment, isEnvProductionProfile = false, shouldUseSourceMap = false) => {
    if (!isDevelopment) {
        return [
            new terser_webpack_plugin_1.default({
                terserOptions: {
                    ecma: 8,
                    compress: {
                        warnings: false,
                        comparisons: false,
                        inline: 2,
                    },
                    mangle: {
                        safari10: true,
                    },
                    keep_classnames: isEnvProductionProfile,
                    keep_fnames: isEnvProductionProfile,
                    output: {
                        ecma: 5,
                        comments: false,
                        ascii_only: true,
                    },
                },
                cache: true,
                parallel: true,
                sourceMap: shouldUseSourceMap,
            }),
        ];
    }
    return [];
};
//# sourceMappingURL=getTerserWebpackPlugin.js.map